> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primev.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# GetCommitmentInfo

> GetCommitmentInfo is called by the provider to retrieve the commitment information.



## OpenAPI

````yaml /v1.2.x/api-reference/provider-openapi-spec.json get /v1/provider/get_commitment_info
openapi: 3.0.0
info:
  title: Provider API
  version: 1.2.2-oas3
  license:
    name: Business Source License 1.1
    url: https://github.com/primev/mev-commit/blob/main/LICENSE
servers: []
security: []
paths:
  /v1/provider/get_commitment_info:
    get:
      summary: GetCommitmentInfo
      description: >-
        GetCommitmentInfo is called by the provider to retrieve the commitment
        information.
      operationId: Provider_GetCommitmentInfo
      parameters:
        - name: blockNumber
          description: >-
            Optional block number for which to get the commitment information.
            If not specified all block numbers are returned in ascending order
          in: query
          required: false
          schema:
            type: string
            format: int64
        - name: page
          description: Optional page number for pagination. Defaults to 0.
          in: query
          required: false
          schema:
            type: integer
            format: int32
        - name: limit
          description: >-
            Optional limit for the number of commitments to return per page.
            Defaults to 100.
          in: query
          required: false
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1CommitmentInfoResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/googlerpcStatus'
components:
  schemas:
    v1CommitmentInfoResponse:
      type: object
      properties:
        commitments:
          type: array
          items:
            $ref: '#/components/schemas/CommitmentInfoResponseBlockCommitments'
          description: List of commitments made in the block.
      description: Response containing the commitment information.
      title: Commitment info response
      required:
        - commitments
    googlerpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    CommitmentInfoResponseBlockCommitments:
      type: object
      properties:
        blockNumber:
          type: string
          format: int64
          description: Block number for which the commitments are made.
        commitments:
          type: array
          items:
            $ref: '#/components/schemas/v1CommitmentInfoResponseCommitment'
          description: List of commitments made in the block.
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties: {}
    v1CommitmentInfoResponseCommitment:
      type: object
      properties:
        txnHashes:
          type: array
          items:
            type: string
            pattern: '[a-fA-F0-9]{64}'
          description: List of transaction hashes that are part of the commitment.
        revertableTxnHashes:
          type: array
          items:
            type: string
            pattern: '[a-fA-F0-9]{64}'
          description: List of transaction hashes that are allowed to revert.
        amount:
          type: string
          description: Amount of ETH in wei committed by the bidder.
          pattern: '[0-9]+'
        blockNumber:
          type: string
          format: int64
          description: Block number at which the commitment is made.
        providerAddress:
          type: string
          description: >-
            Hex string encoding of the address of the provider that signed the
            commitment signature.
        decayStartTimestamp:
          type: string
          format: int64
          description: Timestamp at which the bid starts decaying.
        decayEndTimestamp:
          type: string
          format: int64
          description: Timestamp at which the bid ends decaying.
        dispatchTimestamp:
          type: string
          format: int64
          description: Timestamp at which the commitment is published.
        slashAmount:
          type: string
          description: >-
            Amount of ETH that will be slashed from the provider if they fail to
            include the transaction.
        status:
          type: string
          description: >-
            Status of the commitment. Possible values: 'pending', 'stored',
            'opened', 'settled', 'slashed', 'failed'.
        details:
          type: string
          description: Additional details about the commitment status.
        payment:
          type: string
          description: Payment amount in wei for the commitment.
        refund:
          type: string
          description: Refund amount in wei for the commitment, if applicable.
        bidOptions:
          $ref: '#/components/schemas/providerapiv1BidOptions'
    providerapiv1BidOptions:
      type: object
      properties:
        options:
          type: array
          items:
            $ref: '#/components/schemas/providerapiv1BidOption'
          description: List of bid options.
      description: Options for the bid.
      title: Bid Options
    providerapiv1BidOption:
      type: object
      properties:
        positionConstraint:
          $ref: '#/components/schemas/providerapiv1PositionConstraint'
    providerapiv1PositionConstraint:
      type: object
      properties:
        anchor:
          $ref: '#/components/schemas/providerapiv1PositionConstraintAnchor'
        basis:
          $ref: '#/components/schemas/providerapiv1PositionConstraintBasis'
        value:
          type: integer
          format: int32
          description: >-
            Value of the position constraint. If anchor is TOP, this is the
            position from the top of the block. If anchor is BOTTOM, this is the
            position from the bottom of the block.
      description: Constraint on the position of the transaction in the block.
      title: Position Constraint
    providerapiv1PositionConstraintAnchor:
      type: string
      enum:
        - ANCHOR_TOP
        - ANCHOR_BOTTOM
      title: |-
        - ANCHOR_TOP: Position is at the top of the block
         - ANCHOR_BOTTOM: Position is at the bottom of the block
    providerapiv1PositionConstraintBasis:
      type: string
      enum:
        - BASIS_PERCENTILE
        - BASIS_ABSOLUTE
        - BASIS_GAS_PERCENTILE
      title: |-
        - BASIS_PERCENTILE: Position is a percentile of the block size
         - BASIS_ABSOLUTE: Position is an absolute position in the block
         - BASIS_GAS_PERCENTILE: Position is a percentile of the gas used in the block

````